package com.yeejoin.amos.boot.module.jxiop.biz.constants;

import org.checkerframework.checker.units.qual.C;

import java.util.HashMap;

public class CommonConstans {
    //光伏发电量系数
    public static final Double pvGenPoweActor = 0.000001;
    //    风电站：
//            （日/月/年）发电量=场站所有风机（日/月/年）发电量总和
//            装机容量=场站所有风机装机容量总和
//
//    光伏站：
//            （日/月/年）发电量=场站所有逆变器（日/月/年）发电量总和
//            装机容量=场站所有逆变器装机容量总和
//
//    通用：
//    发电量完成率=（月/年）发电量/（月/年）发电量指标
//    小时数完成率=（月/年）可利用小时/（月/年）可利用小时数指标
//    可利用小时(h)=（日/月/年）发电量（万kW·h）/装机容量（万kW）
//    二氧化碳减排量（万t）=发电量（万kW·h）*0.79
    public static final Double carbonDioxide = 0.79;
    //    节约标准煤（万t）=发电量（万kW·h）*0.29
    public static final Double standardCoal = 0.29;
    //    炭粉尘减排量（t）=发电量（万kW·h）*0.30
    public static final Double toner = 0.30;
    //    二氧化硫减排量（t）=发电量（万kW·h）*1.51
    public static final Double sulfurDioxide = 1.51;
    //    氮氧化物减排量（t）=发电量（万kW·h）*1.69
    public static final Double oxynitride = 1.69;
    //吨转万吨
    public static final Double tToWT = 0.0001;
    //万Kwh转MV
    public static final Integer wkwhToMv = 10;
//    正常运行	发电状态=1
//    告警运行	报警状态=1
//    正常停机	停机状态=1
//    故障停机	故障状态=1
//    限功率
//    待机状态	待机状态=1
//    维护状态	维护状态=1
//    通讯中断

    public static final HashMap<String, String> fanStatus = new HashMap<String, String>() {
        {
            put("发电状态", "正常运行");
            put("报警状态", "告警运行");
            put("停机状态", "正常停机");
            put("故障状态", "故障停机");
            put("待机状态", "待机状态");
            put("维护状态", "维护状态");
            put("限功率", "实时故障22");
            put("通讯中断", "通讯中断");

        }
    };
//    正常运行	运行=1
//    正常停机	停机=1
//    限功率	限额运行=1
//    限电停机	降额运行=1
//    告警运行	告警运行=1
//    故障停机	故障停机=1
//    待机状态	待机=1
//    通讯中断	通讯故障=1

    public static final HashMap<String, String> pvStatus = new HashMap<String, String>() {

        {
            put("运行", "正常运行");
            put("停机", "正常停机");
            put("限额运行", "限功率");
            put("降额运行", "限电停机");
            put("告警运行", "告警运行");
            put("故障停机", "故障停机");
            put("待机", "待机状态");
            put("通讯故障", "通讯中断");
        }

    };
}
